package marshalling;

import java.io.File;
import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.JAXBException;
import javax.xml.bind.Unmarshaller;

public class Test {

    public static void main(String[] args) {
        try {
            
            /* 
             * Buat object JAXBContext untuk menangani class-class
             * yang di-generate di package generated.
             */
            JAXBContext jc = JAXBContext.newInstance("marshalling");

            /* buat object Unmarshaller */
            Unmarshaller u = jc.createUnmarshaller();

            /* Unmarshall isi file item.xml ke dalam object Java */
            File f = new File("result.xml");
            JAXBElement element = (JAXBElement) u.unmarshal(f);
Country c = (Country) element.getValue();            
System.out.println(c.getName());
            /* ambil nilai dari element sebagai object Item */
//            Item item = (Item) element.getValue();
//            System.out.println(item.getCode());
//            System.out.println(item.getName());
//            System.out.println(item.getPrice());
        } catch (JAXBException e) {
            e.printStackTrace();
        }
    }
}
